using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.OperatorBindingModels;
using TravelCompanyContracts.SearchModels.OperatorSearchModels;
using TravelCompanyContracts.ViewModels.OperatorViewModels;

namespace TravelCompanyContracts.StoragesContracts.OperatorStoragesContracts
{
    public interface IGuideStorage
    {
        List<GuideViewModel> GetFullList();
        List<GuideViewModel> GetFilteredList(GuideSearchModel model);
        GuideViewModel? GetElement(GuideSearchModel model);
        GuideViewModel? Insert(GuideBindingModel model);
        GuideViewModel? Delete(GuideBindingModel model);
    }
}
